Skip to main content
POST
/
users
cURL
curl --request POST \
  --url https://api.cradl.ai/{basePath}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "email": "<string>",
  "metadata": {},
  "roleIds": [
    "<string>"
  ],
  "name": "<string>",
  "description": "<string>",
  "appClientId": "<string>"
}
'
{
  "updatedTime": "<string>",
  "metadata": {},
  "updatedBy": "<string>",
  "createdBy": "<string>",
  "name": "<string>",
  "createdTime": "<string>",
  "description": "<string>",
  "userId": "<string>",
  "roleIds": [
    "<string>"
  ],
  "profileId": "<string>",
  "status": "inactive"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Content-Type
string
required

Body

application/json
email
string
required
Pattern: ^[A-Za-z0-9][-+._A-Za-z0-9]*@([-_.A-Za-z0-9]+\.)+[A-Za-z]{2,}$
metadata
object
roleIds
string[]
Pattern: ^(cradl|las):role:[0-9A-Za-z-_]{1,32}$
name
string | null
Maximum string length: 4096
description
string | null
Maximum string length: 4096
appClientId
string
Pattern: ^(cradl|las):app-client:[a-z0-9-_]+$

Response

200 response

updatedTime
string | null
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
metadata
object
required
updatedBy
string | null
required
Maximum string length: 4096
createdBy
string
required
Maximum string length: 4096
name
string | null
required
Maximum string length: 4096
createdTime
string
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
description
string | null
required
Maximum string length: 4096
userId
string
required
Pattern: ^(cradl|las):user:[0-9A-Za-z-_]+$
roleIds
string[] | null
Pattern: ^(cradl|las):role:[0-9A-Za-z-_]{1,32}$
profileId
string | null
Pattern: ^(cradl|las):profile:[a-f0-9]{32}$
status
enum<string>
Available options:
inactive,
active,
invite_pending